- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.featuredContentNativeDashboards/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.featuredContentNativeDashboards/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.featuredContentNativeDashboards/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.featuredContentNativeDashboards/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.featuredContentNativeDashboards/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.featuredContentNativeDashboards/list#body.ListFeaturedContentNativeDashboardsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.featuredContentNativeDashboards/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.featuredContentNativeDashboards/list#body.aspect_1)

**Full name**: projects.locations.instances.contentHub.featuredContentNativeDashboards.list

List all native dashboards featured content.

### HTTP request

`GET https://{endpoint}/v1/{parent}/featuredContentNativeDashboards`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of FeaturedContentNativeDashboards. Format: projects/{project}/locations/{location}/instances/{instance}/contentHub |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of FeaturedContentNativeDashboards to return. The service may return fewer than this value. If unspecified, at most 100 FeaturedContentNativeDashboards will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
| `pageToken` | `string` Optional. A page token, received from a previous `featuredContentNativeDashboards.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `featuredContentNativeDashboards.list` must match the call that provided the page token. |
| `filter` | `string` Optional. The filter to apply to list the FeaturedContentNativeDashboards. The filter syntax follows Google Cloud syntax: <https://google.aip.dev/160>. Supported fields for filtering: - `name`: The resource name of the featured content. - `contentMetadata.description`: The description of the featured content. When a literal value is provided without a field, it will perform a substring search across both `name` and `contentMetadata.description`. Examples: - `"test"`: Matches featured content where either the name or description contains "test" as a substring. - `name="test"`: Matches featured content where the name contains "test". - `contentMetadata.description="test"`: Matches featured content where the description contains "test". |

### Request body

The request body must be empty.

### Response body

Response message for listing FeaturedContentNativeDashboards.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "featuredContentNativeDashboards": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.featuredContentNativeDashboards#FeaturedContentNativeDashboard`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `featuredContentNativeDashboards[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.contentHub.featuredContentNativeDashboards#FeaturedContentNativeDashboard`)`` The list of FeaturedContentNativeDashboards. Ordered by name by default. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.featuredContentNativeDashboards.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).